#ifndef _MAINWINDOW_H_
#define _MAINWINDOW_H_

#include "mainwin.h" // generated from mainwin.ui, defines MainWindowBase
#include <qdatetime.h>
#include <qsqldatabase.h>

class MainWindow : public MainWindowBase
{
    Q_OBJECT

public:
    MainWindow(QWidget* parent,
    	QString& coreserverhost, int coreserverport,
    	const char* name = 0, WFlags fl = 0 );
    ~MainWindow();
    /*$PUBLIC_FUNCTIONS$*/

public slots:
    /*$PUBLIC_SLOTS$*/
    virtual void fileExit();
    virtual void overviewLoad();
    virtual void detailsLoad(QSqlRecord*);
    virtual void record();
    virtual void recordToggle(bool checked);
    virtual void airingsGo();
    virtual void creditsGo();
    virtual void search();
    virtual void watch();

protected:
    /*$PROTECTED_FUNCTIONS$*/

protected slots:
    /*$PROTECTED_SLOTS$*/

protected:
    QSqlDatabase* myDB;
    QString& myCoreServerHostname;
    int myCoreServerPort;
    int myRecordID;
    QDateTime myStarttime;
    int myFilmID;
    QString myShowtype;
};

#endif
