package org.bucksch.httpserver;
import java.io.IOException;

public interface HTTPHandler
{
  /**
   * Called once per client request on the registered URL prefix.
   * Runs in its own thread.
   * @param request Data about the request, and sending your response
   * @throws HTTPException This will be sent to the client
   */
  public void handle(HTTPRequest request)
    throws HTTPException, IOException;
}
