package org.bucksch.zeipis.recorder;

import org.bucksch.zeipis.all.Misconfiguration;

public interface DVBTuner
{
  public void tuneTo(DVBChannel channel)
    throws CantUseTVCard, Misconfiguration;
  /**
   * Must be called when the recording is done, to release the "card" (frontend device).
   * We must hold on the frontend device until then, otherwise the recording will not work.
   */
  public void done()
    throws CantUseTVCard;
}
